curl --request GET \
--url https://api.example.com/transfers \
--header 'ApiKey: <apikey>' \
--header 'Environment: <environment>' \
--header 'MerchantId: <merchantid>'import requests
url = "https://api.example.com/transfers"
headers = {
"ApiKey": "<apikey>",
"MerchantId": "<merchantid>",
"Environment": "<environment>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ApiKey: '<apikey>', MerchantId: '<merchantid>', Environment: '<environment>'}
};
fetch('https://api.example.com/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"ApiKey: <apikey>",
"Environment: <environment>",
"MerchantId: <merchantid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("ApiKey", "<apikey>")
req.Header.Add("MerchantId", "<merchantid>")
req.Header.Add("Environment", "<environment>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/transfers")
.header("ApiKey", "<apikey>")
.header("MerchantId", "<merchantid>")
.header("Environment", "<environment>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["ApiKey"] = '<apikey>'
request["MerchantId"] = '<merchantid>'
request["Environment"] = '<environment>'
response = http.request(request)
puts response.read_body[
{
"id": "tr_z1urYtVFgEebtcj8fxp4v",
"merchantId": "<string>",
"createdAt": "2020-10-15T12:09:49.355Z",
"updatedAt": "2020-10-15T12:16:26.128Z",
"reference": "ref_2020_11_10_001",
"description": "<string>",
"status": "successful",
"amount": 100,
"currency": "XOF",
"mode": "live",
"destination": {
"type": "mobile_money",
"country": "CI",
"number": "<string>",
"provider": "orange",
"recipientName": "<string>"
},
"fees": [
{
"id": "lAe5HnFpvOjwdT9vSIgPA",
"rate": 123,
"type": "flat",
"amount": 5,
"currency": "XOF",
"taxes": [
"<string>"
],
"label": "<string>"
}
],
"isIrt": true,
"providerReference": "<string>",
"isDelegated": true,
"aggregatedMerchantId": "<string>",
"failureCause": {
"code": "<string>",
"message": "<string>",
"params": [
"<string>"
]
},
"origin": {
"name": "<string>",
"country": "<string>"
},
"overrideBusinessName": "<string>",
"overrideBusinessId": "<string>",
"subMerchantId": "submerchant_123",
"transferInformation": {
"recipient_name_hashmac": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"transaction_purpose": "SALARY"
},
"idempotentReplay": true,
"duplicateConfirmation": {
"rejectionId": "ndr_V1StGXR8_Z5jdHi6B-myT"
}
}
]{
"status": 400,
"error": {
"statusCode": 400,
"message": [
"destination.provider must be a string"
],
"error": "Bad Request"
}
}{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}{
"httpStatus": 404,
"message": "X not found",
"error": "Not found"
}{
"status": 429,
"error": "ThrottlerException: Too Many Requests"
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted",
"merchant_inactive"
],
"message": "An error occurred on our system. Please try again later."
}Retrieve a Transfer collection
Return a list of Transfers, eventually filtered by criteria.
curl --request GET \
--url https://api.example.com/transfers \
--header 'ApiKey: <apikey>' \
--header 'Environment: <environment>' \
--header 'MerchantId: <merchantid>'import requests
url = "https://api.example.com/transfers"
headers = {
"ApiKey": "<apikey>",
"MerchantId": "<merchantid>",
"Environment": "<environment>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ApiKey: '<apikey>', MerchantId: '<merchantid>', Environment: '<environment>'}
};
fetch('https://api.example.com/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"ApiKey: <apikey>",
"Environment: <environment>",
"MerchantId: <merchantid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("ApiKey", "<apikey>")
req.Header.Add("MerchantId", "<merchantid>")
req.Header.Add("Environment", "<environment>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/transfers")
.header("ApiKey", "<apikey>")
.header("MerchantId", "<merchantid>")
.header("Environment", "<environment>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["ApiKey"] = '<apikey>'
request["MerchantId"] = '<merchantid>'
request["Environment"] = '<environment>'
response = http.request(request)
puts response.read_body[
{
"id": "tr_z1urYtVFgEebtcj8fxp4v",
"merchantId": "<string>",
"createdAt": "2020-10-15T12:09:49.355Z",
"updatedAt": "2020-10-15T12:16:26.128Z",
"reference": "ref_2020_11_10_001",
"description": "<string>",
"status": "successful",
"amount": 100,
"currency": "XOF",
"mode": "live",
"destination": {
"type": "mobile_money",
"country": "CI",
"number": "<string>",
"provider": "orange",
"recipientName": "<string>"
},
"fees": [
{
"id": "lAe5HnFpvOjwdT9vSIgPA",
"rate": 123,
"type": "flat",
"amount": 5,
"currency": "XOF",
"taxes": [
"<string>"
],
"label": "<string>"
}
],
"isIrt": true,
"providerReference": "<string>",
"isDelegated": true,
"aggregatedMerchantId": "<string>",
"failureCause": {
"code": "<string>",
"message": "<string>",
"params": [
"<string>"
]
},
"origin": {
"name": "<string>",
"country": "<string>"
},
"overrideBusinessName": "<string>",
"overrideBusinessId": "<string>",
"subMerchantId": "submerchant_123",
"transferInformation": {
"recipient_name_hashmac": "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
"transaction_purpose": "SALARY"
},
"idempotentReplay": true,
"duplicateConfirmation": {
"rejectionId": "ndr_V1StGXR8_Z5jdHi6B-myT"
}
}
]{
"status": 400,
"error": {
"statusCode": 400,
"message": [
"destination.provider must be a string"
],
"error": "Bad Request"
}
}{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}{
"httpStatus": 404,
"message": "X not found",
"error": "Not found"
}{
"status": 429,
"error": "ThrottlerException: Too Many Requests"
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted",
"merchant_inactive"
],
"message": "An error occurred on our system. Please try again later."
}Headers
Query Parameters
A date in UTC timezone to filters data to, inclusively. Follows the Datetime ISO. The default value is now().
"2020-10-15T12:09:49.355Z"
A date in UTC timezone to filters data from, inclusively. Follows the Datetime ISO. The default value is the first day of this month.
"2020-10-15T12:09:49.355Z"
Response
Datetime in UTC timezone at which this object was created. Follows the Datetime ISO.
"2020-10-15T12:09:49.355Z"
Datetime in UTC timezone at which this object was updated for the last time . Follows the Datetime ISO.
"2020-10-15T12:16:26.128Z"
Three-letter ISO currency code.
"XOF"
Mode in which this transfer exists. The sandbox mode can be used during the integration phase and is available as soon as the merchant account is created. No real transactions are made in this mode. The live mode has to be used to make real transactions.
live, sandbox "live"
